> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a Subscription

Deleting a Subscription means to unsubscribe or unenroll an Entity from automatically
receiving new Product resources.

## Path Parameters

## Returns

Returns a Subscription object.

```bash cURL theme={null}
curl https://production.methodfi.com/entities/ent_TYHMaRJUUeJ7U/subscriptions/sub_6f7XtMLymQx3f \
  -X DELETE \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
```

```javascript Node.js theme={null}
const response = await method
  .entities('ent_TYHMaRJUUeJ7U')
  .subscriptions
  .delete('sub_6f7XtMLymQx3f');
```

```python Python theme={null}
response = method
  .entities('ent_TYHMaRJUUeJ7U')
  .subscriptions
  .delete('sub_6f7XtMLymQx3f')
```

```json theme={null}
{
  "id": "sub_6f7XtMLymQx3f",
  "name": "credit_score",
  "status": "inactive",
  "payload": null,
  "latest_request_id": "crs_pn4ca33GXFaCE",
  "created_at": "2026-04-09T17:02:47.910Z",
  "updated_at": "2026-04-09T17:02:47.910Z"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.